Lending
Borrow
Accept a loan offer and receive funds
POST
/
lending
/
borrow
Borrow
curl --request POST \
--url https://api.example.com/lending/borrow \
--header 'Content-Type: application/json' \
--data '
{
"offerId": "<string>"
}
'import requests
url = "https://api.example.com/lending/borrow"
payload = { "offerId": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({offerId: '<string>'})
};
fetch('https://api.example.com/lending/borrow', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Request
string
required
UUID of the loan offer to accept.
curl -X POST https://api.midasprotocol.org/lending/borrow \
-H "Authorization: Bearer pp_your_key" \
-H "Content-Type: application/json" \
-d '{ "offerId": "offer-uuid" }'
Response
{
"id": "uuid",
"borrowerId": "your-uuid",
"lenderId": "lender-uuid",
"amount": "100.00",
"currency": "USDC",
"interestRate": 5,
"collateralAmount": "50.00",
"dueAt": "2026-02-01T00:00:00.000Z",
"status": "ACTIVE"
}
The collateral amount is debited from the borrower’s wallet and held in escrow.
⌘I
Borrow
